/**************************************************************************************

        PROTUX - THE FREE PROFESSIONAL AUDIO TOOLS FOR LINUX
        AUTHOR : See AUTHORS file for details

        This software is distributed under the terms of the GNU General Public License
        as specified in the COPYING file.

***************************************************************************************/

#include <mustux.h>
#include "Protux.hh"
#include "Main.hh"


int main( int argc, char **argv )
        {
        PENTER;
        Protux* protux=0;

        if (argc > 1)
                {
                for (int i=1; i<argc; i++)
                        {
                        if (strcmp(argv[i],"--d1")==0)
                                MustuxDebugger::set_debug_on();
                        }
                }
        int r;
        protux = new Protux(argc, argv );
        r = protux->exec();
        delete protux;

        printf("Thank you for using Protux !\n");
        PEXIT;
        return 0;
        }


