/**************************************************************************************

        PROTUX - THE FREE PROFESSIONAL AUDIO TOOLS FOR LINUX
        AUTHOR : See AUTHORS file for details

        This software is distributed under the terms of the GNU General Public License
        as specified in the COPYING file.

***************************************************************************************/
#include <mustux.h>
#include "SubClip.hh"


SubClip::SubClip(AudioClip* pParentClip, long long aRelativeBlock,  long long aFirstBlock, int  aWidth)
        {
        parentClip = pParentClip;
        audioSource = parentClip->audioSource;
        relativeSliceBlock = aRelativeBlock;
        firstFileBlock = aFirstBlock;
        width = aWidth;
        }

SubClip::~SubClip()
        {
        }


void SubClip::rewind() // ????
        {
        PENTER;
        audioSource->locate(firstFileBlock);
        PEXIT;
        }

//eof

