#include "Octaver.hh"
 
Octaver::Octaver(int pSampleRate, int pChannels) : AudioFilter(pSampleRate, pChannels)
        {
        }
 
Octaver::~Octaver()
        {
        }
int  Octaver::load_data( char* audioFragment, int audioFragmentSize )
        {
        fragment = audioFragment;
        fragmentSize = audioFragmentSize;
        return 1;
        }

int Octaver::prepare()
        {
        return 1;
        }

int Octaver::process()
        {
        char* p = fragment;
        int blockSize = sizeof(short)*channels;

        
        // 1 octave up
        char* lastp = p + fragmentSize;
        char* temp = new char[fragmentSize/2];
        char* pt=temp;
        while (p<lastp)
                {
                for (int k=0; k<blockSize; k++)
                        {
                        *pt=*p;
                        pt++;
                        p++;
                        }
                p+=blockSize;
                }
        memcpy(fragment,temp,fragmentSize/2);
        memcpy(fragment+fragmentSize/2,temp,fragmentSize/2);
        delete temp;

        // 1 octave down
/*
        char* lastp = p + fragmentSize/2;
        char* temp = new char[fragmentSize];
        char* pt=temp;
        while (p<lastp)
                {
                for (int k=0; k<blockSize; k++)
                        {
                        *pt=*p;
                        *(pt+blockSize)=*p;
                        pt++;
                        p++;
                        }
                pt+=blockSize;
                }
        memcpy(fragment,temp,fragmentSize);
*/
        return  1;
        }

//eof
