/**************************************************************************************

        PROTUX - THE FREE PROFESSIONAL AUDIO TOOLS FOR LINUX
        AUTHOR : See AUTHORS file for details

        This software is distributed under the terms of the GNU General Public License
        as specified in the COPYING file.

***************************************************************************************/
#include "Locator.hh"


Locator::Locator( Song *pAssocSong ) : MustuxDrawable(200,100, 0, "Locator")
        {
        PENTERCONS;
        assocSong=pAssocSong;
        assocSong->locator=this; // uuhghh.. this is bad code...
        resize(200,100);// TEMPORARY
        PEXITCONS;
        }


Locator::~Locator()
        {
        PENTERDES;
        PEXITDES;
        }


void Locator::clear()
        {
        painter->fillRect(0,0,width(),height(),QColor(205,215,210));
        update(0,0,100,height());
        int dw = 10;
        int w = width() ;
        int wk=0;
        int yk;
        painter->setPen(QColor(0,0,0));
        painter->setFont( QFont( "Helvetica", 6) );
        if (assocSong)
                {
                for (int i = 0; i<w ; i+=dw)
                        {
                        wk++;
                        if (wk>10)
                                {
                                yk=20; wk=0;
                                QString(s);
                                s.setNum((double) i * assocSong->get_zoom_step() + assocSong->firstBlock );
                                painter->drawText(i+3,23,s);
                                }
                        else
                                {
                                yk=5;
                                }
                        painter->drawLine(i,0,i, yk);

                        }
                }
        else
                {
                painter->drawText(10,10,"NO MULTI TRACK AREA TO HANDLE !!");
                }
        }



void Locator::set_xpos(int x)
        {
        }


//eof

