#ifndef PANCONTROLLER_HH
#define PANCONTROLLER_HH

#include <mustux.h>
#include "FilterController.hh"
#include "AudioFilter.hh"

class Song;

class PanController : public FilterController
        {
        public:
                PanController(Song* pParentSong, MustuxDrawable* pDrawArea, AudioFilter* pFilter );
                ~PanController();

                QString get_type(); // virtual
                void setup();
                void node_setup();
                void draw();
                int process(char* data, int size);
                
                int get_baseX();
                int get_baseY();
                int get_width();
                int get_height();
                void set_baseX(int initialValue);
                void set_baseY(int initialValue);
                void set_width(int initialValue);
                void set_height(int initialValue);

        private:

                int curveAmountIndex;
        };



#endif
